GMSSPublicKey (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.asn1

## Class GMSSPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.GMSSPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GMSSPublicKey
      extends ASN1Object

  This class implements an ASN.1 encoded GMSS public key. The ASN.1 definition of this structure is:

        GMSSPublicKey        ::= SEQUENCE{
            version         INTEGER
            publicKey       OCTET STRING
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMSSPublicKey(byte[] publicKeyBytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GMSSPublicKey` | `getInstance(java.lang.Object o)`
    `byte[]` | `getPublicKey()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GMSSPublicKey

          public GMSSPublicKey(byte[] publicKeyBytes)

  - ### Method Detail

    - #### getInstance

          public static GMSSPublicKey getInstance(java.lang.Object o)

    - #### getPublicKey

          public byte[] getPublicKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.